Bug 218865 - www/tomcat[6|7|8]: Add options
Summary: www/tomcat[6|7|8]: Add options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D16499
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-25 01:52 UTC by Matt
Modified: 2018-08-25 19:30 UTC (History)
4 users (show)

See Also:
danfe: maintainer-feedback-


Attachments
Tomcat8: Unified diff for Makefile and pkg-plist (71.53 KB, patch)
2017-04-25 01:52 UTC, Matt
no flags Details | Diff
Tomcat7: Unified diff for Makefile and pkg-plist (72.41 KB, patch)
2017-04-25 02:09 UTC, Matt
no flags Details | Diff
Tomcat6: Unified diff for Makefile and pkg-plist (53.38 KB, patch)
2017-04-25 02:24 UTC, Matt
no flags Details | Diff
Tomcat8: Unified diff for Makefile and pkg-plist (70.26 KB, patch)
2017-05-06 16:19 UTC, Matt
no flags Details | Diff
Tomcat7: Unified diff for Makefile and pkg-plist (71.09 KB, patch)
2017-05-06 16:20 UTC, Matt
no flags Details | Diff
Tomcat6: Unified diff for Makefile and pkg-plist (52.18 KB, patch)
2017-05-06 16:20 UTC, Matt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2017-04-25 01:52:07 UTC
Created attachment 182068 [details]
Tomcat8: Unified diff for Makefile and pkg-plist

ports r439346
Based on Apache Tomcat documentation guidance, the default web applications have varying degrees of risk. The attached patch will permit users to select which of the web applications should be installed.
Comment 1 Matt 2017-04-25 02:09:51 UTC
Created attachment 182069 [details]
Tomcat7: Unified diff for Makefile and pkg-plist

Added patch for Tomcat7.
Comment 2 Matt 2017-04-25 02:24:51 UTC
Created attachment 182071 [details]
Tomcat6: Unified diff for Makefile and pkg-plist

Added patch for Tomcat6.
Comment 3 Matt 2017-05-06 16:19:37 UTC
Created attachment 182339 [details]
Tomcat8: Unified diff for Makefile and pkg-plist

Corrected formatting problems within patch as submitted.
Comment 4 Matt 2017-05-06 16:20:26 UTC
Created attachment 182340 [details]
Tomcat7: Unified diff for Makefile and pkg-plist

Corrects formatting problems within patch as submitted.
Comment 5 Matt 2017-05-06 16:20:59 UTC
Created attachment 182341 [details]
Tomcat6: Unified diff for Makefile and pkg-plist

Corrected formatting problems within patch file.
Comment 6 VVD 2017-05-20 19:41:15 UTC
Tomcat 7.0.78 and 8.0.44 released: https://tomcat.apache.org
Comment 7 VVD 2017-08-14 17:27:24 UTC
Tomcat 6 already reached end of life. Tomcat 7 is on same way.
My bet: Tomcat 8 reached end of life before this feature request fixed.
Comment 8 VVD 2017-09-02 13:39:27 UTC
Tomcat 7.0.81 and 8.0.46 released: https://tomcat.apache.org

How to request maintainer "timeout"?
Comment 9 Alexey Dokuchaev freebsd_committer 2017-09-02 13:56:55 UTC
Timeout from ale@ (since April).
Comment 10 VVD 2017-10-06 23:15:28 UTC
1 year left till tomcat 8 end of life: https://tomcat.apache.org/tomcat-80-eol.html
Comment 11 VVD 2018-07-23 01:42:22 UTC
Apache Tomcat 8.0.x has reached end of life: http://tomcat.apache.org/tomcat-80-eol.html
Comment 12 VVD 2018-07-23 01:47:45 UTC
Tomcat 8.0.53 Released 2018-07-05
Tomcat 7.0.90 Released 2018-07-06
Comment 13 commit-hook freebsd_committer 2018-08-25 19:28:49 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 25 19:27:57 UTC 2018
New revision: 478084
URL: https://svnweb.freebsd.org/changeset/ports/478084

Log:
  www/tomcat[6|7|8]: Bring improvements from Tomcat[85|9]

  - Add options [1]
    Based on Apache Tomcat documentation guidance, the default web applications
    have varying degrees of risk, these options will permit users to select
    which of the web applications should be installed.

  - Remove start_precmd from rcfile in Tomcat7 and Tomcat8 [2]
    This is not being used, users can use ${name}_env to pass variables

  - Mark additional config files as @sample [3]

  PR:		218865 [1]
  PR:		228418 [2]
  PR:		229102 [3]
  Submitted by:	Matt <fsbruva@yahoo.com> [1]
  Submitted by:	VVD <vvd@unislabs.com> [2] [3]
  Reported by:	Michael Osipov <1983-01-06@gmx.net> [2] [3]
  Approved by:	maintainer timeout (ale, > 3 weeks)
  Differential Revision:	https://reviews.freebsd.org/D16499

Changes:
  head/www/tomcat6/Makefile
  head/www/tomcat6/pkg-plist
  head/www/tomcat7/Makefile
  head/www/tomcat7/files/tomcat7.in
  head/www/tomcat7/pkg-plist
  head/www/tomcat8/Makefile
  head/www/tomcat8/files/tomcat8.in
  head/www/tomcat8/pkg-plist
Comment 14 Danilo G. Baio freebsd_committer 2018-08-25 19:30:35 UTC
Committed, thanks!